Skip to main content
Server path: /paystack-customers | Type: Application | PCID required: Yes

Tools

ToolDescription
paystack_customers_customer_createCreate Customer
paystack_customers_customer_deactivate_authorizationDeactivate Authorization
paystack_customers_customer_direct_debit_activation_chargeDirect Debit Activation Charge
paystack_customers_customer_fetchFetch Customer
paystack_customers_customer_fetch_mandate_authorizationsFetch Mandate Authorizations
paystack_customers_customer_initialize_authorizationInitialize Authorization
paystack_customers_customer_initialize_direct_debitInitialize Direct Debit
paystack_customers_customer_listList Customers
paystack_customers_customer_risk_actionSet Risk Action
paystack_customers_customer_updateUpdate Customer
paystack_customers_customer_validateValidate Customer
paystack_customers_customer_verify_authorizationVerify Authorization
paystack_customers_dedicated_account_add_splitSplit Dedicated Account Transaction
paystack_customers_dedicated_account_assignAssign Dedicated Account
paystack_customers_dedicated_account_available_providersFetch Bank Providers
paystack_customers_dedicated_account_createCreate Dedicated Account
paystack_customers_dedicated_account_deactivateDeactivate Dedicated Account
paystack_customers_dedicated_account_fetchFetch Dedicated Account
paystack_customers_dedicated_account_listList Dedicated Accounts
paystack_customers_dedicated_account_remove_splitRemove Split from Dedicated Account
paystack_customers_dedicated_account_requeryRequery Dedicated Account
paystack_customers_directdebit_list_mandate_authorizationsList Mandate Authorizations
paystack_customers_directdebit_trigger_activation_chargeTrigger Activation Charge
paystack_customers_plan_createCreate Plan
paystack_customers_plan_fetchFetch Plan
paystack_customers_plan_listList Plans
paystack_customers_plan_updateUpdate Plan
paystack_customers_subaccount_createCreate Subaccount
paystack_customers_subaccount_fetchFetch Subaccount
paystack_customers_subaccount_listList Subaccounts
paystack_customers_subaccount_updateUpdate Subaccount
paystack_customers_subscription_createCreate Subscription
paystack_customers_subscription_disableDisable Subscription
paystack_customers_subscription_enableEnable Subscription
paystack_customers_subscription_fetchFetch Subscription
paystack_customers_subscription_listList Subscriptions
paystack_customers_subscription_manage_emailSend Update Subscription Link
paystack_customers_subscription_manage_linkGenerate Update Subscription Link

paystack_customers_customer_create

Create Customer Parameters:
ParameterTypeRequiredDefaultDescription
emailstringYesCustomer’s email address
first_namestringNoCustomer’s first name
last_namestringNoCustomer’s last name
metadatastringNoStringified JSON object of custom data
phonestringNoCustomer’s phone number

paystack_customers_customer_deactivate_authorization

Deactivate Authorization Parameters:
ParameterTypeRequiredDefaultDescription
authorization_codestringYesAuthorization code to be deactivated

paystack_customers_customer_direct_debit_activation_charge

Direct Debit Activation Charge Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe customer ID attached to the authorization
authorization_idintegerYesThe authorization ID gotten from the initiation response

paystack_customers_customer_fetch

Fetch Customer Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe code for the customer gotten from the response of the customer creation

paystack_customers_customer_fetch_mandate_authorizations

Fetch Mandate Authorizations Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe customer ID for the authorizations to fetch

paystack_customers_customer_initialize_authorization

Initialize Authorization Parameters:
ParameterTypeRequiredDefaultDescription
accountobjectNoThe account value
addressobjectNoThe address value
callback_urlstringNoFully qualified url (e.g. https://example.com/) to redirect your customer to
channelstringYesdirect_debit is the only supported option for now
emailstringYesCustomer’s email address

paystack_customers_customer_initialize_direct_debit

Initialize Direct Debit Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the customer to initialize the direct debit for
accountobjectYesThe account value
addressobjectYesThe address value

paystack_customers_customer_list

List Customers Parameters:
ParameterTypeRequiredDefaultDescription
use_cursorbooleanNoA flag to indicate if cursor based pagination should be used
nextstringNoAn alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data
previousstringNoAn alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data
fromstringNoThe start date
tostringNoThe end date
perPageintegerNoThe number of records to fetch per request
pageintegerNoThe offset to retrieve data from

paystack_customers_customer_risk_action

Set Risk Action Parameters:
ParameterTypeRequiredDefaultDescription
customerstringYesThe customer code from the response of the customer creation
risk_actionstringNoThis determines the fraud rules that should be applied to the customer

paystack_customers_customer_update

Update Customer Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe code for the customer gotten from the response of the customer creation
first_namestringNoCustomer’s first name
last_namestringNoCustomer’s last name
metadatastringNoStringified JSON object of custom data
phonestringNoCustomer’s phone number

paystack_customers_customer_validate

Validate Customer Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe code for the customer gotten from the response of the customer creation
account_numberstringYesCustomer’s bank account number.
bank_codestringYesYou can get the list of bank codes by calling the List Banks endpoint (https://api.paystack.co/bank).
bvnstringYesCustomer’s Bank Verification Number
countrystringYesTwo-letter country code of identification issuer
first_namestringYesCustomer’s first name
last_namestringYesCustomer’s last name
middle_namestringNoCustomer’s middle name
typestringYesPredefined types of identification.
valuestringNoCustomer’s identification number.

paystack_customers_customer_verify_authorization

Verify Authorization Parameters:
ParameterTypeRequiredDefaultDescription
referencestringYesThe reference returned in the initialization response

paystack_customers_dedicated_account_add_split

Split Dedicated Account Transaction Parameters:
ParameterTypeRequiredDefaultDescription
account_numberstringYesValid Dedicated virtual account
split_codestringNoSplit code consisting of the lists of accounts you want to split the transaction with
subaccountstringNoSubaccount code of the account you want to split the transaction with

paystack_customers_dedicated_account_assign

Assign Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
account_numberstringNoCustomer’s account number
bank_codestringNoCustomer’s bank code
bvnstringNoCustomer’s Bank Verification Number
countrystringYesThe two letter code country
emailstringYesCustomer’s email address
first_namestringYesCustomer’s first name
last_namestringYesCustomer’s last name
phonestringYesCustomer’s phone name
preferred_bankstringYesThe bank slug for preferred bank. To get a list of available banks, use the List Banks endpoint, passing pay_with_bank_transfer=true query parameter
split_codestringNoSplit code consisting of the lists of accounts you want to split the transaction with
subaccountstringNoSubaccount code of the account you want to split the transaction with

paystack_customers_dedicated_account_available_providers

Fetch Bank Providers

paystack_customers_dedicated_account_create

Create Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
customerstringYesThe code for the previously created customer
preferred_bankstringNoThe bank slug for preferred bank. To get a list of available banks, use the List Providers endpoint
split_codestringNoSplit code consisting of the lists of accounts you want to split the transaction with
subaccountstringNoSubaccount code of the account you want to split the transaction with

paystack_customers_dedicated_account_deactivate

Deactivate Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of dedicated virtual account

paystack_customers_dedicated_account_fetch

Fetch Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of dedicated virtual account

paystack_customers_dedicated_account_list

List Dedicated Accounts Parameters:
ParameterTypeRequiredDefaultDescription
activebooleanNoStatus of the dedicated virtual account
customerintegerNoThe customer’s ID
currencystringNoThe currency of the dedicated virtual account
provider_slugstringNoThe bank’s slug in lowercase, without spaces
bank_idstringNoThe bank’s ID
perPageintegerNoThe number of records to fetch per request
pageintegerNoThe offset to retrieve data from

paystack_customers_dedicated_account_remove_split

Remove Split from Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
account_numberstringYesValid Dedicated virtual account

paystack_customers_dedicated_account_requery

Requery Dedicated Account Parameters:
ParameterTypeRequiredDefaultDescription
account_numberstringNoVirtual account number to requery
provider_slugstringNoThe bank’s slug in lowercase, without spaces.
datestringNoThe day the transfer was made

paystack_customers_directdebit_list_mandate_authorizations

List Mandate Authorizations Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor value of the next set of authorizations to fetch. You can get this from the meta object of the response
statusstringNoFilter by the authorization status
per_pageintegerNoThe number of authorizations to fetch per request

paystack_customers_directdebit_trigger_activation_charge

Trigger Activation Charge Parameters:
ParameterTypeRequiredDefaultDescription
customer_idsinteger[]YesArray of customer IDs to trigger activation charge for

paystack_customers_plan_create

Create Plan Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesAmount should be in kobo if currency is NGN, pesewas, if currency is GHS, and cents, if currency is ZAR
currencystringNoCurrency in which amount is set. Allowed values are NGN, GHS, ZAR or USD
descriptionstringNoA description for this plan
intervalstringYesPayment interval
invoice_limitintegerNoNumber of invoices to raise during subscription to this plan. Can be overridden by specifying an invoice_limit while subscribing.
namestringYesName of plan
send_invoicesbooleanNoSet to false if you don’t want invoices to be sent to your customers
send_smsbooleanNoSet to false if you don’t want text messages to be sent to your customers

paystack_customers_plan_fetch

Fetch Plan Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe plan code you want to fetch

paystack_customers_plan_list

List Plans Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
intervalstringNoSpecify interval of the plan
amountintegerNoThe amount on the plans to retrieve
fromstringNoThe start date
tostringNoThe end date

paystack_customers_plan_update

Update Plan Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe plan code you want to fetch
amountintegerNoAmount should be in kobo if currency is NGN, pesewas, if currency is GHS, and cents, if currency is ZAR
currencystringNoCurrency in which amount is set. Allowed values are NGN, GHS, ZAR or USD
descriptionstringNoA description for this plan
intervalstringNoPayment interval
invoice_limitintegerNoNumber of invoices to raise during subscription to this plan. Can be overridden by specifying an invoice_limit while subscribing.
namestringNoName of plan
send_invoicesbooleanNoSet to false if you don’t want invoices to be sent to your customers
send_smsbooleanNoSet to false if you don’t want text messages to be sent to your customers

paystack_customers_subaccount_create

Create Subaccount Parameters:
ParameterTypeRequiredDefaultDescription
account_numberstringYesBank account number
business_namestringYesName of business for subaccount
descriptionstringNoA description for this subaccount
metadatastringNoStringified JSON object of custom data
percentage_chargenumberYesThe percentage charge on transactions for this subaccount
primary_contact_emailstringNoA contact email for the subaccount
primary_contact_namestringNoThe name of the contact person for this subaccount
primary_contact_phonestringNoA phone number to call for this subaccount
settlement_bankstringYesBank code for the bank. You can get the list of Bank Codes by calling the List Banks endpoint.

paystack_customers_subaccount_fetch

Fetch Subaccount Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe subaccount code you want to fetch

paystack_customers_subaccount_list

List Subaccounts Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per request
pageintegerNoThe offset to retrieve data from
activebooleanNoFilter by the state of the subaccounts

paystack_customers_subaccount_update

Update Subaccount Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe subaccount code you want to fetch
account_numberstringNoBank account number
activebooleanNoActivate or deactivate a subaccount
business_namestringNoName of business for subaccount
descriptionstringNoA description for this subaccount
metadatastringNoStringified JSON object of custom data
percentage_chargenumberNoCustomer’s phone number
primary_contact_emailstringNoA contact email for the subaccount
primary_contact_namestringNoThe name of the contact person for this subaccount
primary_contact_phonestringNoA phone number to call for this subaccount
settlement_bankstringNoBank code for the bank. You can get the list of Bank Codes by calling the List Banks endpoint.

paystack_customers_subscription_create

Create Subscription Parameters:
ParameterTypeRequiredDefaultDescription
authorizationstringNoIf customer has multiple authorizations, you can set the desired authorization you wish to use for this subscription here. If this is not supplied, the customer’s most recent authorization would be used
customerstringYesCustomer’s email address or customer code
planstringYesPlan code
start_datestringNoSet the date for the first debit. (ISO 8601 format) e.g. 2017-05-16T00:30:13+01:00

paystack_customers_subscription_disable

Disable Subscription Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesSubscription code
tokenstringYesEmail token

paystack_customers_subscription_enable

Enable Subscription Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesSubscription code
tokenstringYesEmail token

paystack_customers_subscription_fetch

Fetch Subscription Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe subscription code for the subscription you want to fetch

paystack_customers_subscription_list

List Subscriptions Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
planintegerNoPlan ID
customerstringNoCustomer ID
fromstringNoThe start date
tostringNoThe end date

paystack_customers_subscription_manage_email

Send Update Subscription Link Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesSubscription code

Generate Update Subscription Link Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesSubscription code